commit 6c5bf4f21aad2501de55d52988638d873cc6281c
Author: freddy77 <freddy77>
Date:   Mon Mar 10 10:07:22 2008 +0000

    fix txn and auto-commit setting

diff --git b/.cvsignore a/.cvsignore
index d6098e5..c4ca19c 100644
--- b/.cvsignore
+++ a/.cvsignore
@@ -18,4 +18,3 @@ freetds.spec
 PWD
 doxyfile
 test-dist.log
-compile
diff --git b/src/odbc/odbc.c a/src/odbc/odbc.c
index 76c3426..74e297a 100644
--- b/src/odbc/odbc.c
+++ a/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.8 2008/03/10 10:07:22 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.7 2008/02/29 09:23:51 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -224,9 +224,6 @@ change_autocommit(TDS_DBC * dbc, int state)
 			ODBC_RETURN(dbc, SQL_ERROR);
 		}
 		dbc->attr.autocommit = state;
-	} else {
-		/* if not connected we will change auto-commit after login */
-		dbc->attr.autocommit = state;
 	}
 	ODBC_RETURN_(dbc);
 }
@@ -326,10 +323,6 @@ odbc_connect(TDS_DBC * dbc, TDSCONNECTION * connection)
 	if (IS_TDS7_PLUS(dbc->tds_socket))
 		dbc->cursor_support = 1;
 
-	if (dbc->attr.autocommit != SQL_AUTOCOMMIT_ON)
-		if (!SQL_SUCCEEDED(change_autocommit(dbc, dbc->attr.autocommit)))
-			ODBC_RETURN_(dbc);
-
 	/* this overwrite any error arrived (wanted behavior, Sybase return error for conversion errors) */
 	ODBC_RETURN(dbc, SQL_SUCCESS);
 }
@@ -5534,7 +5527,8 @@ _SQLGetInfo(TDS_DBC * dbc, SQLUSMALLINT fInfoType, SQLPOINTER rgbInfoValue, SQLS
 		SIVAL = SQL_TC_ALL;
 		break;
 	case SQL_TXN_ISOLATION_OPTION:
-		UIVAL = SQL_TXN_READ_COMMITTED;
+		/* TODO check SQLSetConnectAttr support */
+		UIVAL = SQL_TXN_READ_COMMITTED | SQL_TXN_READ_UNCOMMITTED | SQL_TXN_REPEATABLE_READ | SQL_TXN_SERIALIZABLE;
 		break;
 	case SQL_UNION:
 		UIVAL = SQL_U_UNION | SQL_U_UNION_ALL;
diff --git b/src/tds/encodings.pl a/src/tds/encodings.pl
index 1017836..2346c18 100755
--- b/src/tds/encodings.pl
+++ a/src/tds/encodings.pl
@@ -30,7 +30,7 @@ $filename = "${srcdir}sybase_character_sets.h";
 open(OUT, ">$filename") or die qq($basename: could not open "$filename"\n);
 print OUT "/*\n";
 print OUT " * This file produced from $0\n";
-print OUT ' * $Id: encodings.pl,v 1.10.4.1 2008/03/10 10:07:22 freddy77 Exp $', "\n";
+print OUT ' * $Id: encodings.pl,v 1.10 2005/04/06 06:44:33 jklowden Exp $', "\n";
 print OUT " */\n";
 
 # look up the canonical name
@@ -64,7 +64,7 @@ while(<DATA>){
 
 		# grep for similar names, as an aid to the to programmer.  
 		$name =~ s/[\-\_]+//g;
-		print STDERR $Name.":  $name alternative_character_sets.h\n";
+		print STDERR "$Name:  $name alternative_character_sets.h\n";
 	}
 	$comma = ',';
 }
@@ -77,7 +77,7 @@ close(OUT);
 print "/*\n";
 $date = localtime;
 print " * This file produced from $0 on $date\n";
-print ' * $Id: encodings.pl,v 1.10.4.1 2008/03/10 10:07:22 freddy77 Exp $', "\n";
+print ' * $Id: encodings.pl,v 1.10 2005/04/06 06:44:33 jklowden Exp $', "\n";
 print " */\n";
 
 %charsets = ();

